WSNotification::Elements::BaseFault(3pm)

NAME
WSNotification::Elements::BaseFault

DESCRIPTION
Perl data type class for the XML Schema defined element BaseFault from the namespace http://docs.oasis-open.org/wsrf/bf-2.

METHODS

  new
 my $element = WSNotification::Elements::BaseFault->new($data);

Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::BaseFaultType
   Timestamp =>  $some_value, # dateTime
   Originator =>  { # WSNotification::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
     },
     Metadata =>  { # WSNotification::Types::MetadataType
     },
   },
   ErrorCode =>
 # No documentation generated for complexContent / extension yet
,
   Description =>  { value => $some_value },
   FaultCause =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL